Public Member Functions

# wxDataViewSpinRenderer Class Reference
[wxDataViewCtrl Related Classes]

`#include <wx/dataview.h>`

Inheritance diagram for wxDataViewSpinRenderer:
[legend]

## Detailed Description

This is a specialized renderer for rendering integer values.

It supports modifying the values in-place by using a wxSpinCtrl. The renderer only support variants of type long.

##

Library: wxAdvanced
Category: wxDataViewCtrl Related Classes

## Public Member Functions
| wxDataViewSpinRenderer (int min, int max, wxDataViewCellMode mode=wxDATAVIEW_CELL_EDITABLE, int align=wxDVR_DEFAULT_ALIGNMENT)
| Constructor.

List of all members.

## Constructor & Destructor Documentation

wxDataViewSpinRenderer::wxDataViewSpinRenderer | ( | int | min,
|  | int | max,
|  | wxDataViewCellMode | mode = `wxDATAVIEW_CELL_EDITABLE`,
|  | int | align = `wxDVR_DEFAULT_ALIGNMENT` |
| ) |  |  |

Constructor.

min and max indicate the minimum and maximum values for the wxSpinCtrl.

|  | [ top ]